path: /build/build/nvidia-535-kernel-open-modules-kernel-6.6-535.261.03.package.tar.zst
dependencies: []
compilespec:
  steps:
  - anise repo update && anise upgrade -y && anise i -y x11-drivers-535/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge =x11-drivers/nvidia-kernel-modules-535.261.03
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.261.03
  - |
    eval 'rm -rf /nvidia-535-kernel-open-modules || true' && mkdir /nvidia-535-kernel-open-modules && \
    luet-portage --dir /nvidia-535-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-535-kernel-open-modules/lib/modules/nvidia-open/535.261.03/6.6.104-macaroni/video/*.ko
    ; do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:0e38d64bc8ea904b0aa6ba98c7e65dbaaa78aedfcbae7f42d12e90fffa558b23
  package:
    name: nvidia-535-kernel-open-modules
    version: 535.261.03
    category: kernel-6.6
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.6
    annotations:
      kernel_module: true
    buildtimestamp: 2025-09-12 18:59:11.918677391 +0000 UTC m=+724.188538215
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.6.104
      original.package.slot: "535"
      original.package.version: 535.261.03
    treedir: /build/packages
  package_dir: /nvidia-535-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cd68aef37c21369a64fe0d474f24343fa4408cf62f9ed131df42cfb00c6bac32
compressiontype: zstd
files:
- lib/modules/nvidia-open/535.261.03/6.6.104-macaroni/video/nvidia-drm.ko.zst
- lib/modules/nvidia-open/535.261.03/6.6.104-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/nvidia-open/535.261.03/6.6.104-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/nvidia-open/535.261.03/6.6.104-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-535-kernel-open-modules
  version: 535.261.03
  category: kernel-6.6
  use_flags:
  - open-kernel
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.6.104
    original.package.slot: "535"
    original.package.version: 535.261.03
